summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author crocket2010-06-17 15:39:36 +0200
committer Robby Workman2010-06-17 21:45:24 +0200
commitb2332184538b2488c6fdaa04073b09b3ee964c2f (patch)
tree5d83f5fecd696133efbbc7cc237e2f7cec232710
parent455b9d0bf8758c4c09b110c08aee32a9f9c32057 (diff)
downloadslackbuilds-b2332184538b2488c6fdaa04073b09b3ee964c2f.tar.gz
libraries/gtk-sharp: Added (GUI toolkit for mono)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/gtk-sharp/README7
-rw-r--r--libraries/gtk-sharp/gtk-sharp.SlackBuild86
-rw-r--r--libraries/gtk-sharp/gtk-sharp.info10
-rw-r--r--libraries/gtk-sharp/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/libraries/gtk-sharp/README b/libraries/gtk-sharp/README
new file mode 100644
index 0000000000..4577cb2fd0
--- /dev/null
+++ b/libraries/gtk-sharp/README
@@ -0,0 +1,7 @@
+gtk-sharp ( GUI toolkit for mono )
+
+Gtk# is a Graphical User Interface Toolkit for mono and .Net. The project
+binds the gtk+ toolkit and assorted GNOME libraries, enabling fully native
+graphical application development using Mono and .Net development frameworks.
+
+This requires mono.
diff --git a/libraries/gtk-sharp/gtk-sharp.SlackBuild b/libraries/gtk-sharp/gtk-sharp.SlackBuild
new file mode 100644
index 0000000000..f8a4f94b2e
--- /dev/null
+++ b/libraries/gtk-sharp/gtk-sharp.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for gtk-sharp
+
+# Written by (crocket) (crockabiscuit@yahoo.com)
+
+PRGNAM=gtk-sharp
+VERSION=${VERSION:-2.12.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ --enable-shared=yes \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/gtk-sharp/gtk-sharp.info b/libraries/gtk-sharp/gtk-sharp.info
new file mode 100644
index 0000000000..80b6738398
--- /dev/null
+++ b/libraries/gtk-sharp/gtk-sharp.info
@@ -0,0 +1,10 @@
+PRGNAM="gtk-sharp"
+VERSION="2.12.9"
+HOMEPAGE="http://www.mono-project.com/GtkSharp"
+DOWNLOAD="http://ftp.gnome.org/pub/gnome/sources/gtk-sharp/2.12/gtk-sharp-2.12.9.tar.gz"
+MD5SUM="d2133a80264c4622b033db944087789f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@yahoo.com"
+APPROVED="rworkman"
diff --git a/libraries/gtk-sharp/slack-desc b/libraries/gtk-sharp/slack-desc
new file mode 100644
index 0000000000..3b53f5ce49
--- /dev/null
+++ b/libraries/gtk-sharp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gtk-sharp: gtk-sharp (GUI toolkit for mono)
+gtk-sharp:
+gtk-sharp: Gtk# is a Graphical User Interface Toolkit for mono and .Net. The
+gtk-sharp: project binds the gtk+ toolkit and assorted GNOME libraries, enabling
+gtk-sharp: fully native graphical Gnome application development using Mono and
+gtk-sharp: .Net development frameworks.
+gtk-sharp:
+gtk-sharp: The website of Gtk# is http://www.mono-project.com/GtkSharp
+gtk-sharp:
+gtk-sharp:
+gtk-sharp: